### Hierarchy

- StringUtil

## Index

### Methods

- endsWith
- hashCode
- splitSimpleKeyValuePair

## Methods

### Static endsWith

- endsWith(subjectString: string, searchString: string, position?: number): boolean

- - Defined in util/StringUtil.ts:37

  #### Parameters

  - ##### subjectString: string

  - ##### searchString: string

  - ##### Optional position: number

  #### Returns boolean

### Static hashCode

- hashCode(s: string): number

- - Defined in util/StringUtil.ts:21

  #### Parameters

  - ##### s: string

  #### Returns number

### Static splitSimpleKeyValuePair

- splitSimpleKeyValuePair(pairString: string): Array<string>

- - Defined in util/StringUtil.ts:5

  #### Parameters

  - ##### pairString: string

  #### Returns Array<string>

Generated using TypeDoc